Databases
Get database.
ROLES: RESOURCE_READ,RESOURCE_WRITE,RESOURCE_ADMIN USER: true SERVICE ACCOUNT: true
GET
/
api
/
v1
/
databases
/
{databaseId}
Get database.
curl --request GET \
--url https://api.revoengine.com/api/v1/databases/{databaseId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"restartIdentity": false
}
'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({restartIdentity: false})
};
fetch('https://api.revoengine.com/api/v1/databases/{databaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/databases/{databaseId}"
payload = { "restartIdentity": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text){
"databaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "<string>",
"desc": "<string>",
"tags": [
"<string>"
],
"restricted": true,
"audit": true,
"type": "TABLE",
"definition": [
{
"name": "<string>",
"type": "SMALLINT",
"isPrimaryKey": true,
"isArray": true,
"isUnique": true,
"isNullable": true,
"isIndex": true,
"databaseDefinitionId": "<string>",
"desc": "<string>",
"metadata": {},
"default": "<string>",
"foreignReferences": [
{
"reference": [
{
"column": "<string>",
"targetDatabase": "<string>",
"targetColumn": "<string>"
}
],
"onUpdate": "none",
"onDelete": "none"
}
]
}
],
"partition": {},
"groups": [
{}
],
"users": [
{}
],
"parent": "<string>",
"master": "<string>",
"version": 123,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdateBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
Provide databaseId.
Body
application/json
Restart owned identity sequences after truncation. Keep false when generated keys must never be reused.
Response
Whether future row mutations are captured for this logical table.
Available options:
TABLE, TABLE_PARTITIONED Show child attributes
Show child attributes
⌘I
Get database.
curl --request GET \
--url https://api.revoengine.com/api/v1/databases/{databaseId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"restartIdentity": false
}
'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({restartIdentity: false})
};
fetch('https://api.revoengine.com/api/v1/databases/{databaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/databases/{databaseId}"
payload = { "restartIdentity": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text){
"databaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "<string>",
"desc": "<string>",
"tags": [
"<string>"
],
"restricted": true,
"audit": true,
"type": "TABLE",
"definition": [
{
"name": "<string>",
"type": "SMALLINT",
"isPrimaryKey": true,
"isArray": true,
"isUnique": true,
"isNullable": true,
"isIndex": true,
"databaseDefinitionId": "<string>",
"desc": "<string>",
"metadata": {},
"default": "<string>",
"foreignReferences": [
{
"reference": [
{
"column": "<string>",
"targetDatabase": "<string>",
"targetColumn": "<string>"
}
],
"onUpdate": "none",
"onDelete": "none"
}
]
}
],
"partition": {},
"groups": [
{}
],
"users": [
{}
],
"parent": "<string>",
"master": "<string>",
"version": 123,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdateBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
